./net/php-baikal, Lightweight CalDAV+CardDAV server

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.4.6, Package name: php56-baikal-0.4.6, Maintainer: wiz

Baikal offers ubiquitous and synchronized access to your calendars
and address books over CalDAV and CardDAV. Baikal implements the
current IETF recommendation drafts of these industry standards for
centralized calendar and address book collections.


Required to run:
[databases/php-pdo_sqlite] [databases/php-pdo] [textproc/php-dom]

Master sites:

SHA1: bc2850281223da9cc7471a157de754f8feb03783
RMD160: 98bc26a0fbbfdceb59958f6ef94827bea82b3bb8
Filesize: 3211.404 KB

Version history: (Expand)


CVS history: (Expand)


   2016-08-22 16:22:30 by Thomas Klausner | Files touched by this commit (3) | Package updated
Log message:
Updated php56-baikal to 0.4.6.

    Updated sabre/dav database definitions
    #559: Fix contacts in new addressbooks not syncing
    Now allows creation of calendars that contain VJOURNAL, VTODO and VEVENT.
    Upgrading from Baikal version 0.2.3 and older is no longer supported.
    Ships with sabre/dav 3.1.4
   2016-08-03 00:44:02 by Thomas Klausner | Files touched by this commit (3) | Package updated
Log message:
Updated php56-baikal to 0.4.5.

0.4.5 (2016-05-28)
------------------

* #552: PHP 7.0.7 introduced a sublte BC break that caused Baikal to error.
* Upgraded sabre/dav, which fixes CardDAV performance problems.
* Ships with sabre/dav 3.1.4
   2016-05-26 11:22:35 by Thomas Klausner | Files touched by this commit (3) | Package updated
Log message:
Updated php55-baikal to 0.4.4.

0.4.4 (2016-03-30)
------------------

* #517: Added the Sync plugin. Should speed things up and fix syncing bugs
  with Em Client.
* Ships with sabre/dav 3.1.2

0.4.3 (2016-03-23)
------------------

* #513: Fixed error during installation, introduced with 0.4.2.
* Ships with sabre/dav 3.1.2

0.4.2 (2016-03-21)
------------------

* #510: Fix PHP warning on fresh install.
* #507: Disable installer if Baikal was already configured.
* Ships with sabre/dav 3.1.2

0.4.1 (2016-03-17)
------------------

* #506: Fix Sqlite upgrades from people that are upgrading from 0.2.7 or
  earlier.
* Ships with sabre/dav 3.1.2

0.4.0 (2016-03-15)
------------------

* #472: If you were using Sqlite, Cal- CardDAV clients might have missed
  updates from the server.
* #482 / #490: Fix installation issue if Sqlite is not enabled. (@fabianwolf)
* #491: Added CalDAV Scheduling plugin.
* Added Property Storage plugin.
* Removed features related to locking the admin interface. This means that you
  no longer have to create the `ENABLE_ADMIN` / `ENABLE_INSTALL` files.
* Ships with sabre/dav 3.1.2
   2016-04-02 10:23:30 by Jonathan Perkin | Files touched by this commit (1)
Log message:
Fix INSTALLATION_DIRS typo.
   2016-03-13 18:27:12 by Thomas Klausner | Files touched by this commit (1)
Log message:
Let's maintain this.
   2016-03-13 18:26:48 by Thomas Klausner | Files touched by this commit (3) | Package updated
Log message:
Update php-baikal to 0.3.5:

0.3.5

    #466: Fixed a small issue that can effect new installions. Existing working \ 
installations do not need to upgrade.

0.3.4

    Last build was broken, contained data in the Specific/ directory. This \ 
affected new installs but not upgrades.

0.3.3

    #457: The realm was not correctly set from configuration for Digest auth.
    Reduced memory usage in upgrade script. Should help with upgrading large \ 
databases.
    Removed BAIKAL_PATH_SABREDAV setting. It was no longer used.
   2016-02-19 00:25:00 by Thomas Klausner | Files touched by this commit (2) | Package updated
Log message:
Update php-baikal to 0.3.2:

    #453: Fixed a bug during a 0.2.7 to 0.3.1 upgrade if a users' me-card was \ 
set. (@untitaker).
    Ships with sabre/dav 3.1.1
   2016-02-16 00:28:22 by Thomas Klausner | Files touched by this commit (4) | Package updated
Log message:
Update php-baikal to 0.3.1.

Baïkal 0.3.1 is now the recommended version of Baïkal. This release
fixes the most reported issues with Baikal, and also:

    Upgrades sabre/dav from version 1.8 to 3.1.
    Supports PHP 7.
    Makes the minimum PHP version 5.5.
    Adds support for calendar/addressbook export.
    Adds support for WebDAV-Sync.

Upgrade instructions are here:
http://sabre.io/baikal/upgrade/